%bcond_with                bootstrap

%define section            free
%define gcj_support        1

Name:           java-cup
Version:        11a
Release:        %mkrel 2
Epoch:          1
Summary:        LALR Parser Generator in Java
License:        BSD-style
URL:            http://www2.cs.tum.edu/projects/cup/
# https://www2.in.tum.de/WebSVN/dl.php?repname=CUP&path=/develop/&rev=0&isdir=1
Source0:        develop.tar.bz2
Source1:        java-cup.script
Source2:        java_cup-generated-files.tar.bz2
Patch0:         java-cup-javadoc.patch
Patch1:         java-cup-no-classpath-in-manifest.patch
Patch2:         java-cup-no-cup-no-jflex.patch
Patch3:         java-cup-classpath.patch
BuildRequires:  ant
BuildRequires:  jpackage-utils
Group:          Development/Java
%if %{gcj_support}
Requires(post): java-gcj-compat
Requires(postun): java-gcj-compat
BuildRequires:  java-gcj-compat-devel
%else
Buildarch:      noarch
%endif
Buildroot:      %{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:      java_cup < 1:11a
Provides:       java_cup = %{epoch}:%{version}-%{release}
#Distribution:   JPackage
#Vendor:         JPackage Project

%description
java-cup is a LALR Parser Generator in Java.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Documentation for %{name}
Group:          Development/Java

%description manual
Documentation for %{name}.

%prep
%setup -q -n develop
%patch0 -p1
%patch1 -p1
%if %with bootstrap
%setup -q -T -D -a 2 -n develop
%patch2 -p1
%else
%patch3 -p1
%endif
%{__mkdir_p} classes dist

%build
export CLASSPATH=
export OPT_JAR_LIST=
%ant
%ant javadoc

%install
%{__rm} -rf %{buildroot}

# jar
%{__mkdir_p} %{buildroot}%{_javadir}
%{__install} -m 644 dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__install} -m 644 dist/%{name}-%{version}-runtime.jar %{buildroot}%{_javadir}/%{name}-runtime-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)
# compatibility symlinks
(cd %{buildroot}%{_javadir} && %{__ln_s} %{name}.jar java_cup.jar && %{__ln_s} %{name}-runtime.jar java_cup-runtime.jar)

# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
(cd %{buildroot}%{_javadocdir} && %{__ln_s} %{name}-%{version} %{name})

%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 %{SOURCE1} %{buildroot}%{_bindir}/java-cup

%if %{gcj_support}
%{_bindir}/aot-compile-rpm
%endif

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  %{__rm} -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc changelog.txt
%attr(0755,root,root) %{_bindir}/java-cup
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%attr(-,root,root) %{_libdir}/gcj/%{name}/*
%endif

%files manual
%defattr(0644,root,root,0755)
%doc manual.html

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Sat Sep 09 2006 David Walluck <walluck@mandriva.org> 1:11a-2mdv2007.0
- tar generated sources

* Sat Sep 09 2006 David Walluck <walluck@mandriva.org> 1:11a-1mdv2007.0
- 11a

* Sat Jul 22 2006 David Walluck <walluck@mandriva.org> 1:0.10-0.k.5.1mdv2007.0
- bump release

* Sat Jun 03 2006 David Walluck <walluck@mandriva.org> 1:0.10-0.k.2.2mdv2007.0
- rebuild for libgcj.so.7
- aot-compile

* Mon May 09 2005 David Walluck <walluck@mandriva.org> 1:0.10-0.k.2.1mdk
- release

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 1:0.10-0.k.2jpp
- Rebuild with ant-1.6.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 1:0.10-0.k.1jpp
- fix version/release (bump epoch)
- change License tag from Free to BSD-style
- add Distribution tag
- really update for JPackage 1.5

* Wed Mar 26 2003 Paul Nasrat <pauln@truemesh.com> 0.10k-1jpp
- for jpackage-utils 1.5
- New spec reverse engineered from binary rpms
